App\Library\Amazon\Classes\Motorcycles\ProductTypeAType:
    properties:
        vehicles:
            expose: true
            access_type: public_method
            serialized_name: Vehicles
            accessor:
                getter: getVehicles
                setter: setVehicles
            type: App\Library\Amazon\Classes\Vehicles
        protectiveClothing:
            expose: true
            access_type: public_method
            serialized_name: ProtectiveClothing
            accessor:
                getter: getProtectiveClothing
                setter: setProtectiveClothing
            type: App\Library\Amazon\Classes\ProtectiveClothing
        helmets:
            expose: true
            access_type: public_method
            serialized_name: Helmets
            accessor:
                getter: getHelmets
                setter: setHelmets
            type: App\Library\Amazon\Classes\Helmets
        ridingBoots:
            expose: true
            access_type: public_method
            serialized_name: RidingBoots
            accessor:
                getter: getRidingBoots
                setter: setRidingBoots
            type: App\Library\Amazon\Classes\RidingBoots
        gloves:
            expose: true
            access_type: public_method
            serialized_name: Gloves
            accessor:
                getter: getGloves
                setter: setGloves
            type: App\Library\Amazon\Classes\Gloves
        accessories:
            expose: true
            access_type: public_method
            serialized_name: Accessories
            accessor:
                getter: getAccessories
                setter: setAccessories
            type: App\Library\Amazon\Classes\Accessories
        parts:
            expose: true
            access_type: public_method
            serialized_name: Parts
            accessor:
                getter: getParts
                setter: setParts
            type: App\Library\Amazon\Classes\Parts
